# EuropeanHealthInsuranceCard class

European Health Insurance Card (EHIC). Supports formats with both four and five lines of data.

Inheritance
  - Object
  - GenericDocumentWrapper
  - EuropeanHealthInsuranceCard

## Constructors

EuropeanHealthInsuranceCard(GenericDocument document)

## Properties

barcode → TextFieldWrapper?
  Barcode image (only present in some formats)
  no setter
birthDate → ValidatedTextFieldWrapper
  Birth date
  no setter
cardNumber → TextFieldWrapper
  Card number
  no setter
countryCode → TextFieldWrapper
  Country code (ISO 3166-1 alpha-2)
  no setter
document → GenericDocument
  final inherited
expiryDate → ValidatedTextFieldWrapper
  Expiry date
  no setter
givenNames → TextFieldWrapper
  Given names
  no setter
hashCode → int
  The hash code for this object.
  no setter inherited
issuerName → TextFieldWrapper
  Issuer name
  no setter
issuerNumber → TextFieldWrapper
  Issuer number
  no setter
personalNumber → TextFieldWrapper
  Personal number
  no setter
requiredDocumentType → String
  no setter override
runtimeType → Type
  A representation of the runtime type of the object.
  no setter inherited
signature → TextFieldWrapper?
  Signature image
  no setter
surname → TextFieldWrapper
  Surname
  no setter

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited

## Constants

DOCUMENT_NORMALIZED_TYPE → const String
  Normalized document type name of this document wrapper.
DOCUMENT_TYPE → const String
  Generic document type name of this document wrapper.